Generates a random deviate from the non-central chi-square distribution

- « stats_rand_gen_iuniform

- stats_rand_gen_noncentral_f »

- PHP Manual
- Statistic Functions
- Generates a random deviate from the non-central chi-square distribution

# stats_rand_gen_noncentral_chisquare

(PECL stats >= 1.0.0)

stats_rand_gen_noncentral_chisquare — Generates a random deviate from the non-central chi-square distribution

### Description

stats_rand_gen_noncentral_chisquare(float `$df`, float `$xnonc`): float

Returns a random deviate from the non-central chi-square distribution with degrees of freedom, `df`, and non-centrality parameter, `xnonc`.

### Parameters

`df`

  The degrees of freedom

`xnonc`

  The non-centrality parameter

### Return Values

A random deviate